import Vue from 'vue'
import App from './App.vue'
// 路由
import router from './router'
Vue.use(router);

// Vuex
import store from './store'

// 全局css
import less from 'less'
Vue.use(less);
import "@/assets/css/index.less";

// 引入组件库
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.css';
Vue.use(Antd);

// 注册自定义插件
import './plugins'
// 调用共通js
import './common'


Vue.config.productionTip = false;

new Vue({
  render: (h) => h(App),
  router: router,
  store: store,
}).$mount('#app')